Bug 189366 - Deleting packages from Channel tool support
Deleting packages from Channel tool support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
rhn420
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks: rhn-content-mgmt-m1
  Show dependency treegraph
 
Reported: 2006-04-19 10:59 EDT by Pradeep Kilambi
Modified: 2007-04-18 13:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhn500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 11:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2006-04-19 10:59:38 EDT
Description of problem:

1. Modify,redesign manage Delete packages tool.This includes the clearing
channels use case.

2. Client side redesign and support. Modify the available
deletepackage.py to use xmlrpc rather than direct db.
Also:
- support for deleting package associated with an errata ID.
- support for deleting packages associated with errata advisosry.
- support for deleting packages based on filename

3.Deprecate delete-paclage.pl script.

4. Server side handlers support needed(ex: /App ,/redhat_xmlrpc ) to enable
xmlrpc response.

5. COnfigs needed.Could be combined with manage-channel and families config.

6. man pages needed.

7. inclusion into satellite -> Custom Channels Management
Comment 1 Pradeep Kilambi 2006-06-27 16:17:03 EDT
This too is completed and is beta state.
Comment 2 Pradeep Kilambi 2006-06-28 09:49:16 EDT
This tool has both hosted and satellite versions

rhn-delete-channel -> satellite

rhn-delete-channel-internal -> hosted

- man pages added.

- unit tests for client and server side added.

Note You need to log in before you can comment on or make changes to this bug.